Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
newsedit.php File Reference

Go to the source code of this file.

## Variables
if(isset( $Cancel)) if(isset( $Action) && $Action=="Insert") if(isset( $Action) && $Action=="Update") if(isset( $Action) && $Action=="Delete") | $ini = eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZNewsFeedMain", "Language" )
| $ImageDir = $ini->variable( "eZNewsFeedMain", "ImageDir" )
| $t
| $today = new eZDateTime()
if(isset( $Action) && $Action=="Edit") | $category = new eZNewsCategory()
| $categoryArray = $category->getAll( )

## Variable Documentation

## ◆ $category

if (isset($Action) &&$Action=="Edit") $category = new eZNewsCategory()

Definition at line 297 of file newsedit.php.

## ◆ $categoryArray

$categoryArray = $category->getAll( )

Definition at line 298 of file newsedit.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZNewsFeedMain", "ImageDir" )

Definition at line 229 of file newsedit.php.

## ◆ $ini

if (isset($Cancel)) if (isset($Action) &&$Action=="Insert") if (isset($Action) &&$Action=="Update") if (isset($Action) &&$Action=="Delete") $ini = eZINI::instance( 'site.ini' )

Definition at line 226 of file newsedit.php.

## ◆ $Language

$Language = $ini->variable( "eZNewsFeedMain", "Language" )

Definition at line 228 of file newsedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eznewsfeed/admin/" . $ini->variable( "eZNewsFeedMain", "AdminTemplateDir" ),
"kernel/eznewsfeed/admin/intl/", $Language, "newsedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $Cancel)) if(isset( $Action) && $Action=="Insert") if(isset( $Action) && $Action=="Update") if(isset( $Action) && $Action=="Delete") $ini
Definition: newsedit.php:226
$Language
$Language
Definition: newsedit.php:228

Definition at line 231 of file newsedit.php.

## ◆ $today

$today = new eZDateTime()

Definition at line 247 of file newsedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.